Bug 1293066 - [abrt] konsole5: poll_for_reply(): konsole killed by SIGSEGV
[abrt] konsole5: poll_for_reply(): konsole killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konsole5 (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:dd88d0e603195999d1d3f26e33b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 15:07 EST by D. Stimits
Modified: 2016-12-20 12:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:11:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.38 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: cgroup (284 bytes, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: core_backtrace (7.25 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: dso_list (15.43 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: environ (1.92 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: maps (76.13 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: mountinfo (3.40 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: open_fds (2.00 KB, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details
File: var_log_messages (293 bytes, text/plain)
2015-12-19 15:07 EST, D. Stimits
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 343803 None None None 2015-12-22 20:57 EST

  None (edit)
Description D. Stimits 2015-12-19 15:07:08 EST
Description of problem:
I copied a file name to clipboard via mouse highlight then right-click copy.

Version-Release number of selected component:
konsole5-15.08.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/konsole -session 1015bcdd3dd000144970482500000070600021_1450480442_889697
crash_function: poll_for_reply
executable:     /usr/bin/konsole
global_pid:     2330
kernel:         4.2.7-300.fc23.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 poll_for_reply at xcb_in.c:428
 #1 wait_for_reply at xcb_in.c:515
 #2 xcb_wait_for_reply at xcb_in.c:546
 #4 XIQueryDevice at XIQueryDevice.c:60
 #5 QXcbConnection::handleEnterEvent at qxcbconnection_xi2.cpp:830
 #6 QXcbWindow::handleEnterNotifyEvent at qxcbwindow.cpp:2319
 #7 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1083
 #8 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1527
 #9 QObject::event at kernel/qobject.cpp:1239
 #10 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
Comment 1 D. Stimits 2015-12-19 15:07:13 EST
Created attachment 1107804 [details]
File: backtrace
Comment 2 D. Stimits 2015-12-19 15:07:14 EST
Created attachment 1107805 [details]
File: cgroup
Comment 3 D. Stimits 2015-12-19 15:07:15 EST
Created attachment 1107806 [details]
File: core_backtrace
Comment 4 D. Stimits 2015-12-19 15:07:16 EST
Created attachment 1107807 [details]
File: dso_list
Comment 5 D. Stimits 2015-12-19 15:07:17 EST
Created attachment 1107808 [details]
File: environ
Comment 6 D. Stimits 2015-12-19 15:07:18 EST
Created attachment 1107809 [details]
File: exploitable
Comment 7 D. Stimits 2015-12-19 15:07:19 EST
Created attachment 1107810 [details]
File: limits
Comment 8 D. Stimits 2015-12-19 15:07:20 EST
Created attachment 1107811 [details]
File: maps
Comment 9 D. Stimits 2015-12-19 15:07:21 EST
Created attachment 1107812 [details]
File: mountinfo
Comment 10 D. Stimits 2015-12-19 15:07:22 EST
Created attachment 1107813 [details]
File: namespaces
Comment 11 D. Stimits 2015-12-19 15:07:23 EST
Created attachment 1107814 [details]
File: open_fds
Comment 12 D. Stimits 2015-12-19 15:07:24 EST
Created attachment 1107815 [details]
File: proc_pid_status
Comment 13 D. Stimits 2015-12-19 15:07:25 EST
Created attachment 1107816 [details]
File: var_log_messages
Comment 14 D. Stimits 2015-12-22 16:11:52 EST
I've run into konsole failing to completely open several times now (the new konsole was on a different virtual desktop than the original running konsole...whether or not related I don't know). Here is an update to behavior I've noticed when konsole fails.

The graphics of the konsole does not refresh, and is a copy of whatever was under the konsole at the moment of creation. Just as an experiment, I clicked where I knew the "new tab" button should be, and I see the title change to reflect a new konsole tab (but graphics remains locked at the original background at moment of create). If I mouse click in the middle and blindly type "exit", I see the title bar reflect this as succeeding...the konsole is apparently working so far as text entry goes, but graphics fails to show this (refresh stopped at the moment of creating the window frame).

When I finally exit konsole completely, either by blindly typing "exit" or by clicking on window manager "x" to close, konsole eventually goes from no CPU usage to maxed out on one core at 100%. I have to kill this undisplayed konsole manually by pid (e.g., under top). I believe there is a threading issue here. Something fails to run and blocks before graphics refresh, with no significant CPU use; upon close the CPU goes up to 100% and the PID remains active.

Myself and other people have noticed that upon shutdown or reboot of the system there is sometimes an excessive delay as init waits for a user session to close. I feel very strongly that these shutdown delays are likely related to some wider threading issue, such as going to 100% CPU upon close of a konsole (if closing konsole results in a PID which does not go away then this may be what the session close is hung up on).

Some bug report tool issues do not allow reporting this, as they say the backtrace is too large and cannot be used (the abrt tool just stops reporting and throws away the report when the backtrace is too large).
Comment 15 Rex Dieter 2015-12-22 19:52:49 EST
There's one known 'konsole using 100% cpu' issue, that has something to do with nvidia-libs (as part of nvidia's binary video driver).  Do you happen to use that driver?
Comment 16 D. Stimits 2015-12-22 20:45:08 EST
(In reply to Rex Dieter from comment #15)
> There's one known 'konsole using 100% cpu' issue, that has something to do
> with nvidia-libs (as part of nvidia's binary video driver).  Do you happen
> to use that driver?

Yes, I do currently use nVidia drivers. The nouveau driver does not refresh correctly, and is completely unusable...stability actually increased by using the nVidia driver. I would be interested in any reference to the konsole 100% CPU bug which may be related to this.
Comment 18 Fedora End Of Life 2016-11-24 09:22:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 12:11:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.